Upstream information

CVE-2007-0017 at MITRE

Description

Multiple format string vulnerabilities in (1) the cdio_log_handler function in modules/access/cdda/access.c in the CDDA (libcdda_plugin) plugin, and the (2) cdio_log_handler and (3) vcd_log_handler functions in modules/access/vcdx/access.c in the VCDX (libvcdx_plugin) plugin, in VideoLAN VLC 0.7.0 through 0.8.6 allow user-assisted remote attackers to execute arbitrary code via format string specifiers in an invalid URI, as demonstrated by a udp://-- URI in an M3U file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 233516 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 for x86
  • xine-lib >= 0.99.rc3a-106.36
core9.s390
core9.x86
YOU Patch Nr: 11399
Novell Linux Desktop 9 for x86_64
  • xine-lib >= 0.99.rc3a-106.36
  • xine-lib-32bit >= 9-200701161730
core9.s390
core9.x86
YOU Patch Nr: 11399
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for x86
  • xine-lib >= 0.99.rc3a-106.36
  • xine-ui >= 0.99.rc3a-106.36
core9.s390
core9.x86
YOU Patch Nr: 11399
SLES SDK 9 for IPF
  • xine-lib >= 0.99.rc3a-106.36
  • xine-lib-x86 >= 9-200701161656
  • xine-ui >= 0.99.rc3a-106.36
core9.s390
core9.x86
YOU Patch Nr: 11399
SLES SDK 9 for IBM iSeries and IBM pSeries
  • xine-lib >= 0.99.rc3a-106.36
  • xine-lib-64bit >= 9-200701161837
  • xine-ui >= 0.99.rc3a-106.36
core9.s390
core9.x86
YOU Patch Nr: 11399
SLES SDK 9 for IBM zSeries
  • xine-lib >= 0.99.rc3a-106.36
  • xine-lib-32bit >= 9-200701170014
  • xine-ui >= 0.99.rc3a-106.36
core9.s390
core9.x86
YOU Patch Nr: 11399
SLES SDK 9 for X86-64
  • xine-lib >= 0.99.rc3a-106.36
  • xine-lib-32bit >= 9-200701161730
  • xine-ui >= 0.99.rc3a-106.36
core9.s390
core9.x86
YOU Patch Nr: 11399
SUSE LINUX 9.3
  • xine-lib >= 1.0-10.14
  • xine-lib-32bit >= 9.3-0.1
  • xine-ui >= 1.0-10.14
SUSE LINUX 10.0
  • xine-extra >= 1.1.0-0.1
  • xine-lib >= 1.1.0-0.1
  • xine-lib-32bit >= 1.1.0-0.1
  • xine-lib-64bit >= 1.1.0-0.1
  • xine-ui >= 0.99.4-84.1
SUSE LINUX 10.1
  • xine-extra >= 1.1.1-24.17
  • xine-lib >= 1.1.1-24.17
  • xine-lib-32bit >= 1.1.1-24.17
  • xine-lib-64bit >= 1.1.1-24.17
  • xine-ui >= 0.99.4-32.14